%define upstream_name    Log-Handler
%define upstream_version 0.90

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    A simple log file handler
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Spec)
BuildRequires: perl(POSIX)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(UNIVERSAL)
BuildArch:  noarch

%description
This module is just a simple object oriented log file handler and very easy to
use.  It's possible to define a log level for your programs and control the
amount of informations that will be logged to the log file. In addition it's
possible to configure how you wish to open the log file - transient or
permanent - and lock and unlock the log file by each write operation. If you
wish you can assign the handler to check the inode of the log file (not on
Windows). That could be very useful if a rotate mechanism moves and zip the log
file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc ChangeLog INSTALL LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.900.0-3.mga10
+ Revision: 2206369
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.900.0-2.mga9
+ Revision: 1812919
- Mageia 9 Mass Rebuild

* Mon Jul 13 2020 tv <tv> 0.900.0-1.mga8
+ Revision: 1605809
- update to 0.90

* Wed Feb 12 2020 umeabot <umeabot> 0.880.0-4.mga8
+ Revision: 1505006
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.880.0-3.mga7
+ Revision: 1284518
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.880.0-2.mga7
+ Revision: 1165274
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.880.0-1.mga7
+ Revision: 1141590
- update to 0.88

* Sun Jun 19 2016 pterjan <pterjan> 0.870.0-3.mga6
+ Revision: 1029387
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.870.0-2.mga6
+ Revision: 968147
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.870.0-1.mga6
+ Revision: 851357
- update to 0.87

* Wed Oct 15 2014 umeabot <umeabot> 0.820.0-3.mga5
+ Revision: 749449
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.820.0-2.mga5
+ Revision: 685266
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 sander85 <sander85> 0.820.0-1.mga5
+ Revision: 585542
- update to 0.82

* Mon Oct 21 2013 umeabot <umeabot> 0.800.0-2.mga4
+ Revision: 539281
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 0.800.0-1.mga4
+ Revision: 491719
- update to 0.80

* Sun Sep 08 2013 sander85 <sander85> 0.790.0-1.mga4
+ Revision: 476262
- update to 0.79

* Fri Jun 07 2013 jquelin <jquelin> 0.780.0-1.mga4
+ Revision: 439483
- update to 0.78

* Sun Jan 13 2013 umeabot <umeabot> 0.760.0-2.mga3
+ Revision: 369223
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.760.0-1.mga3
+ Revision: 342363
- update to 0.76
- adding missing buildrequires:

* Tue Jun 05 2012 jquelin <jquelin> 0.750.0-1.mga3
+ Revision: 255738
- fix url
- update to 0.75

* Tue Feb 22 2011 jquelin <jquelin> 0.710.0-1.mga1
+ Revision: 56614
- update to 0.71

* Sat Jan 22 2011 jquelin <jquelin> 0.690.0-1.mga1
+ Revision: 32139
- mageia rebuild
- imported package perl-Log-Handler

